# Generated by Django 5.1.5 on 2025-02-10 01:20

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Account',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cpf', models.CharField(blank=True, max_length=11, null=True, unique=True, verbose_name='CPF')),
                ('cnpj', models.CharField(blank=True, max_length=14, null=True, unique=True, verbose_name='CNPJ')),
                ('account_holder_name', models.CharField(max_length=100)),
                ('account_number', models.CharField(blank=True, max_length=20, null=True, unique=True)),
                ('balance', models.DecimalField(decimal_places=2, default=0.0, max_digits=12)),
                ('status', models.CharField(choices=[('AC', 'active'), ('IN', 'inactive'), ('BL', 'blocked')], default='AC', max_length=2)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Card',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('card_holder_name', models.CharField(max_length=50)),
                ('card_number', models.CharField(blank=True, max_length=16, null=True, unique=True)),
                ('validity', models.DateField(blank=True, null=True)),
                ('cvv', models.CharField(blank=True, max_length=4, null=True, verbose_name='CVV')),
                ('card_flag', models.CharField(choices=[('VISA', 'Visa'), ('MC', 'MasterCard'), ('ELO', 'Elo'), ('OTHER', 'Other')], max_length=5)),
                ('active', models.BooleanField(default=True)),
                ('pin', models.CharField(max_length=255)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='payment.account')),
            ],
        ),
    ]
